%define _sourcedir %{_topdir}/SOURCES/qcg-comp

Summary:	The gridmapfile generator for QCG
Summary(pl.UTF-8): Generator pliku gridmapfile  dla QCG
Name:		qcg-gridmapfilegenerator
Version:	3.4.0
Release:	0
License:	GPLv3
Group:		Applications/System
Source0:	QCG-gridmapfilegenerator.sh
Source1:	qcg-gridmapfilegenerator.cron
Source2:	plggridmapfilegenerator.conf
URL:		http://www.qoscosgrid.org/trac/qcg-computing
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch:      noarch
Requires:       plggridmapfilegenerator

%define         _crondir        %{_sysconfdir}/cron.d/
%define		_qcgsysconfdir	%{_sysconfdir}/qcg/qcg-gridmapfile

%description
The gridmapfile generator for QCG services

%description -l pl.UTF-8
Konfiguracja plggridmapfile generatora dla usług QCG

%pre
if ! getent group | grep  -q '^qcg-dev:' /etc/group; then
        groupadd -r qcg-dev >/dev/null 2>&1
fi

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_prefix}/sbin
install -d $RPM_BUILD_ROOT/%{_crondir}
install -d $RPM_BUILD_ROOT/%{_localstatedir}/log/qcg/qcg-gridmapfile
install -d $RPM_BUILD_ROOT/%{_qcgsysconfdir}
install -d $RPM_BUILD_ROOT/%{_localstatedir}/run/qcg/qcg-comp

install %{SOURCE0} $RPM_BUILD_ROOT/%{_sbindir}/QCG-gridmapfilegenerator.sh
install %{SOURCE1} $RPM_BUILD_ROOT/%{_crondir}/qcg-gridmapfilegenerator.cron
install %{SOURCE2} $RPM_BUILD_ROOT/%{_qcgsysconfdir}/plggridmapfilegenerator.conf

%post
touch %{_localstatedir}/log/qcg/qcg-gridmapfile/qcg-gridmapfilegenerator.log
chown root:qcg-dev %{_localstatedir}/log/qcg/qcg-gridmapfile/qcg-gridmapfilegenerator.log
chown root:qcg-dev %{_localstatedir}/log/qcg/qcg-gridmapfile/
chmod 640 %{_localstatedir}/log/qcg/qcg-gridmapfile/qcg-gridmapfilegenerator.log

%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %attr(640,root,root) %verify(not md5 mtime size) %{_crondir}/qcg-gridmapfilegenerator.cron
%config(noreplace) %attr(640,root,root) %verify(not md5 mtime size) %{_qcgsysconfdir}/plggridmapfilegenerator.conf
%attr(755,root,root) %{_sbindir}/QCG-gridmapfilegenerator.sh
%dir %attr(750,root,root) %{_localstatedir}/log/qcg/qcg-gridmapfile
%dir %attr(755,root,root) %{_localstatedir}/run/qcg/qcg-comp

%changelog
* Wed Nov 27 2013 Mariusz Mamonski <mamonski@man.poznan.pl> 3.2.0-2
- qcg-gridmapfilegenerator.sh -> QCG-gridmapfilegenerator.sh
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 3.0.2-3
- Improved SPEC file: added changelog
